Recurring Plan API

For merchants to retrieve recurring plans info which were created from the merchant portal.


Response (JSON format)

Variable / ParameterType Format / Max LengthDescription / Example
planIDn-9Unique ID for each plan.
plan_nameans-63Plan name.
plan_descans-254Plan description.
amountn2The total amount to be paid in each cycle.
perioda-5
  1. month
  2. week
  3. day
  4. year
  5. quarter
  6. half year
  7. bimonthly
  8. biweekly
statusa-1
  1. On
  2. Off
  3. NA
cycle_termn-9Billing cycle (e.g., 6, 12, 24)
charge_on_endofmontha1
  1. Y
  2. N

Formula of skey

md5( {domain}{secret_key}{charge_on_endofmonth}{period}{cycle_term}{status} )

Appendix A : Error Code & Description in JSON

error_codeerror_mesg
PLAN001Missing required parameter (<FieldName>).
PLAN002Merchant info not found.
PLAN003Invalid skey.
PLAN004Plan not found.
PLAN005The system is busy now, temporarily out of service. Please try again later.
PLAN006Invalid parameter value (<FieldName>).
Query Params
string
required

Merchant ID provided by PG

string

Predefined value: 1: Y, 2: N

string

Predefined values: 1: month, 2: week, 3: day, 4: year, 5: quarter, 6: half year, 7: bimonthly, 8: biweekly

string

Billing cycle (e.g., 6, 12, 24)

string

Predefined values: 1: On, 2: Off, 3: NA

string
required

Integrity protection hash string

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json